Rated 5/5 based on 240179 internet user reviews

Jump to content


Change Photo
- - - - -

Hatch


  • Please log in to reply
188 replies to this topic

#1 KhaiTQ

KhaiTQ

    Chưa sử dụng CAD

  • Advance Member
  • Pip
  • 1 posts
Danh tiếng: 2 (b́nh thường)

Gửi vào 06 January 2007 - 07:56 PM

Miềng đang vẽ tiếp một bản vẽ nhận từ một người bạn. Khi miềng xóa một đối tượng hatch, đối tượng chặn biên của hatch (line, arc, pline) cũng lập tức bị xóa. Làm sao để miềng xóa được đối tượng Hatch mà không xóa đối tượng nằm ở biên của nó. Mặc dù hatch và đối tượng biên không nằm trong cùng một block hay group.
  • 2

#2 Hai Van

Hai Van

    biết zoom

  • Members
  • Pip
  • 12 posts
Danh tiếng: 1 (b́nh thường)

Gửi vào 06 January 2007 - 08:03 PM

Một số file CAD của tôi, đối tượng hatch bị vỡ trông rất xấu và c̣n sai nữa.
Tại sao vậy, cách sửa như thế nào.

Help me.
  • 1

#3 DaiBang

DaiBang

    Edu level: ao3

  • Members
  • PipPip
  • 33 posts
Danh tiếng: 23 (tàm tạm)

Gửi vào 06 January 2007 - 08:52 PM

Hiện tượng này xảy ra khi bạn sử dụng các mẫu hatch như GRAVEL (SỎI) hay AR-CONC (bê tông gạch vỡ) tại những tọa độ có giá trị X, Y lớn (thường là lớn hơn 1 triệu).

Để xử lư vấn đề này, cơ bản là phải giảm khoảng cách tương đối giữa gốc (origin) của Hatch và đối tượng Hatch.
Có 3 cách để tránh hiện tượng này:
1. Đặt biến SNAPBASE về tọa độ gần với tọa độ của đối tượng hatch mà bạn đang vẽ.
2. Dùng lệnh UCS, đặt lại hệ tọa độ sao cho gốc tọa độ gần với đối tượng hatch của bạn.
3. Tạm thời di chuyển biên đường hatch về gần gốc tọa độ. Sau khi hatch xong th́ lại di chuyển đối tượng hatch về vị trí mong muốn.
  • 2
Đừng làm những điều nhàm chán trừ phi bạn không c̣n cách nào khác. Hăy cải tiến nó!

#4 Hai Van

Hai Van

    biết zoom

  • Members
  • Pip
  • 12 posts
Danh tiếng: 1 (b́nh thường)

Gửi vào 06 January 2007 - 09:13 PM

- Làm thế nào để tạo được một mẫu hatch theo ư ḿnh nhỉ?
Ai biết trả lời dzùm!
  • 0

#5 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 3,709 posts
Danh tiếng: 4309 (đỉnh cao)

Gửi vào 08 January 2007 - 12:37 PM

Bạn thử xem biến hệ thống PICKSTYLE của bản vẽ này là bao nhiêu?
Mặc định của CAD là 0.

Mối quan hệ giữa đối tượng hatch và đối tượng chặn biên của nó phụ thuộc vào biến hệ thống PICKSTYLE. Để chọn đối tượng hatch mà không chọn đối tượng chặn biên của nó th́ đặt PICKSTYLE bằng 0 hoặc 1. Để chọn đối tượng Hatch và chọn luôn đối tượng chặn biên của nó th́ đặt PICKSTYLE bằng 2 hoặc 3. Như vậy, và file mà bạn đang vẽ có thể đang đặt biến PICKSTYLE = 2 hoặc 3. Để giải quyết vấn đề bạn nêu ra, bạn thử đặt lại biến PICKSTYLE = 0 hoặc 1.
  • 5

#6 Amazone

Amazone

    biết pan

  • Members
  • Pip
  • 8 posts
Danh tiếng: 1 (b́nh thường)

Gửi vào 16 January 2007 - 11:22 AM

- Bạn đang có một bản vẽ, trong đó bạn tô mặt cắt tường bằng đối tượng solid. Bây giờ bạn muốn biến tất cả solid này thành hatch để có thể đổi kiểu hatch sang nét kẻ chéo. Nên làm như thế nào?

- Có một cách đơn giản giúp ban:
. Nguyên lư:
ĐT -(Lệnh )> ĐT -(Lệnh )> Đối tượng
Solid -(Region)> Region -(Bhatch)> hatch
. Tức là dùng lệnh Region để biến đối tượng solid thành Region, sau đó dùng lệnh Bhatch để biến đối tượng Region thành đối tượng Hatch.
  • 0

#7 ResArchi

ResArchi

    biết vẽ line

  • Advance Member
  • PipPip
  • 29 posts
Danh tiếng: 84 (tàm tạm)

Gửi vào 16 January 2007 - 11:41 AM

- Mỗi lần bạn sử dụng một mẫu hatch, bạn phải sử dụng 2 hatch chập nhau. Ví dụ như khi bạn sử dụng hatch bê tông cốt thép, bạn phải sử dụng nét chéo (LINE) và nét gạch vỡ (AR-CONC). Làm sao để bạn nối 2 mẫu hatch này lại thành 1 mẫu mới?

- Bạn tạo 1 file mới có tên trùng với tên mẫu hatch mà bạn đặt với đuôi là .pat. Ví dụ: BE_TONG.PAT.
Bạn mở file Acad.pat trong thư mục support ra, t́m đoạn mà cad mô tả về gạch vỡ, copy vào file mới này, t́m đoạn cad mô tả về Line, copy vào tiếp. Save lại, sử dụng lệnh hatch là ok.

- Ví dụ:
*AR-CONC, Random dot and stone pattern
50, 0,0, 4.12975034,-5.89789472, 0.75,-8.25
355, 0,0, -2.03781207,7.37236840, 0.60,-6.6
100.4514, 0.5977168,-0.0522934, 5.7305871,-6.9397673, 0.6374019,-7.01142112
46.1842, 0,2, 6.19462551,-8.84684208, 1.125,-12.375
96.6356, 0.88936745,1.86206693, 8.59588071,-10.40965104, 0.95610288,-10.51713
351.1842, 0,2, 7.74328189,11.0585526, 0.9,-9.9
21, 1,1.5, 4.12975034,-5.89789472, 0.75,-8.25
326, 1,1.5, -2.03781207,7.37236840, 0.60,-6.6
71.4514, 1.49742233,1.16448394, 5.7305871,-6.9397673, 0.6374019,-7.01142112
37.5, 0,0, 2.123,2.567, 0,-6.52,0,-6.7,0,-6.625
7.5, 0,0, 3.123,3.567, 0,-3.82,0,-6.37,0,-2.525
-32.5, -2.23,0, 4.6234,2.678, 0,-2.5,0,-7.8,0,-10.35
-42.5, -3.23,0, 3.6234,4.678, 0,-3.25,0,-5.18,0,-7.35

gộp với:
*LINE, Parallel horizontal lines
0, 0,0, 0,.125

thành:
*BE_TONG, Random dot and stone pattern
50, 0,0, 4.12975034,-5.89789472, 0.75,-8.25
355, 0,0, -2.03781207,7.37236840, 0.60,-6.6
100.4514, 0.5977168,-0.0522934, 5.7305871,-6.9397673, 0.6374019,-7.01142112
46.1842, 0,2, 6.19462551,-8.84684208, 1.125,-12.375
96.6356, 0.88936745,1.86206693, 8.59588071,-10.40965104, 0.95610288,-10.51713
351.1842, 0,2, 7.74328189,11.0585526, 0.9,-9.9
21, 1,1.5, 4.12975034,-5.89789472, 0.75,-8.25
326, 1,1.5, -2.03781207,7.37236840, 0.60,-6.6
71.4514, 1.49742233,1.16448394, 5.7305871,-6.9397673, 0.6374019,-7.01142112
37.5, 0,0, 2.123,2.567, 0,-6.52,0,-6.7,0,-6.625
7.5, 0,0, 3.123,3.567, 0,-3.82,0,-6.37,0,-2.525
-32.5, -2.23,0, 4.6234,2.678, 0,-2.5,0,-7.8,0,-10.35
-42.5, -3.23,0, 3.6234,4.678, 0,-3.25,0,-5.18,0,-7.35
45, 0,0, 0,1.25


Chú ư: cuối file BE_TONG.PAT này phải có một ḍng trống.
  • 7

#8 Zoi

Zoi

    biết vẽ point

  • Vip
  • PipPip
  • 98 posts
Danh tiếng: 33 (tàm tạm)

Gửi vào 16 January 2007 - 03:19 PM

Vào Options của AutoCAD, ở Tab Selection.

Có một ḍng đó là Associative Hatch. Nếu chọn ḍng này (tương đương với PICKSTYLE = 2) th́ khi select đối tượng Hatch, sẽ select luôn cả đường bao liên kết với đối tượng Hatch đó.

Determines which objects are selected when you select an associative hatch. If this option is selected, boundary objects are also selected when you select an associative hatch. You can also set this option by setting the PICKSTYLE system variable to 2.


  • 1

#9 Jin Yong

Jin Yong

    biết lệnh group

  • Vip
  • PipPipPipPipPipPip
  • 498 posts
Danh tiếng: 334 (khá)

Gửi vào 16 January 2007 - 04:14 PM

Sử dụng CAD ở nhà (sau khi copy đè thư mục Support của công ty) th́ em có mấy mẫu hatch rất chuẩn. Khi copy bản vẽ đến máy khác th́ bản vẽ vẫn như vậy, nhưng muốn hatch thêm th́ lại không được, v́ máy người đó dùng khác phiên bản CAD nên ko đè Support lên được. Em muốn t́m cái mẫu hatch đó th́ phải làm thế nào, và muốn nó dùng được trong phiên bản CAD 2004 th́ phải làm sao (CAD em dùng là 2002)
  • 1

Phát triển phần mềm thiết kế Kết cấu Việt Nam - http://www.ketcausoft.com


#10 ResArchi

ResArchi

    biết vẽ line

  • Advance Member
  • PipPip
  • 29 posts
Danh tiếng: 84 (tàm tạm)

Gửi vào 16 January 2007 - 04:32 PM

Cad chứa mẫu Hatch của nó trong file Acad.pat tại thư mục support.
Để lấy mẫu hatch đó sang máy khác, bạn có 2 cách:
1. Copy đè file Acad.pat của máy bạn sang máy khách.
2. Mở file Acad.pat của máy bạn ra, t́m đoạn text nói về mẫu hatch mà bạn cần rồi copy nó. Mở file Acad.pat của máy khách, paste nó vào cuối cùng.
3. Mở file Acad.pat của máy bạn ra, t́m đoạn text nói về mẫu hatch mà bạn cần rồi copy nó. Tạo một file có tên trùng với tên của mẫu hatch có đuôi là pat và paste nội dung vừa copy (nhớ là cuối file phải có 1 ḍng trống). Copy file mới này vào thư mục support. Khi dùng lệnh Hatch, vào mục custom sẽ thấy mẫu hatch bạn vừa tạo.

B́nh luận:
Cách 1: Ngon nhất, dễ nhất nhưng làm hỏng mất file Acad.pat của máy khách.
Cách 2: Khó hơn, dễ bị lỗi nhưng đây là cách cơ bản để thêm các mẫu hatch độc vào máy bạn.
Cách 3: Dễ nhất, ít lỗi và đây là cách để bạn copy hatch của bạn sang các máy khác mà không làm ảnh hưởng tới họ.
  • 1

#11 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 3,709 posts
Danh tiếng: 4309 (đỉnh cao)

Gửi vào 27 January 2007 - 05:33 PM

Khi bạn muốn lấy biên của một hatch đă bị mất biên để hiệu chỉnh nó hay cho các công việc về tính toán diện tích, làm cách nào? dễ dàng làm được với lệnh lisp h2p (hatch to polyline).

Tải h2p tại đây: http://www.cadviet.com/upfiles/h2p.lsp

Mong chờ có được sự phản hồi sau khi dùng lệnh h2p trong file h2p.lsp.
Cảm ơn.
  • 4

#12 bemove

bemove

    biết lệnh divide

  • Vip
  • PipPipPipPipPipPip
  • 446 posts
Danh tiếng: 1295 (rất tốt)

Gửi vào 15 February 2007 - 12:40 AM

Miềng đang vẽ tiếp một bản vẽ nhận từ một người bạn. Khi miềng xóa một đối tượng hatch, đối tượng chặn biên của hatch (line, arc, pline) cũng lập tức bị xóa. Làm sao để miềng xóa được đối tượng Hatch mà không xóa đối tượng nằm ở biên của nó. Mặc dù hatch và đối tượng biên không nằm trong cùng một block hay group.

Giải quyết việc này đơn giản vào options-> selection tick bỏ Asscociative Hatch trong phần Selection Modes
  • 2

#13 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 3,709 posts
Danh tiếng: 4309 (đỉnh cao)

Gửi vào 23 February 2007 - 12:08 PM

Khi bạn làm việc trên môt bản vẽ nặng, dùng lệnh hatch sẽ mất nhiều thời gian. Đôi lúc không hatch được, đôi lúc CAD thông báo: 1234 selected, DELETED? <N> bạn trả lời Y th́ mới tiếp tục được và phải ngồi chờ thêm một lúc nữa để CAD tính toán.

Bản chất vấn đề tính toán của CAD như thế nào và để khắc phục điều này phải làm sao?

Khi lệnh Hatch được dùng, ACAD sẽ tính toán đường biên của đối tượng hatch mới được tạo nên bởi biên của các đối tượng đang hiển thị trên màn h́nh. Các đối tượng nằm trong layer ẩn hay đóng băng sẽ bị bỏ qua, các đối tượng nằm khuất ngoài khung nh́n (viewport) cũng bị bỏ qua không đưa vào tính toán.

Chính v́ vậy, để lệnh hatch được nhanh, chúng ta cần làm sao để số đối tượng tính toán của ACAD là tối thiểu (tăng tối đa số đối tượng bị bỏ qua tối đa). Có 2 thao tác cần làm: thứ nhất là ẩn đi các đối tượng không ảnh hưởng tới đường biên của Hatch mà chúng ta sẽ tạo, thứ hai là zoom càng to càng tốt nhưng vẫn đủ để hiển thị phần hatch sắp được tạo ra (để loại bỏ những đối tượng không tham gia vào đường biên của Hatch mới).

Với hai thao tác làm giảm khối lượng tính toán này, chúng ta sẽ dễ dàng thấy được hiệu quả của thời gian hatch.
  • 2

#14 ResArchi

ResArchi

    biết vẽ line

  • Advance Member
  • PipPip
  • 29 posts
Danh tiếng: 84 (tàm tạm)

Gửi vào 25 February 2007 - 01:20 AM

Lang thang trên mạng thấy có tập mẫu hatch, up lên mọi người cùng dùng:

http://www.cadviet.com/upfiles/mauhatch.zip
  • 8

#15 Jin Yong

Jin Yong

    biết lệnh group

  • Vip
  • PipPipPipPipPipPip
  • 498 posts
Danh tiếng: 334 (khá)

Gửi vào 03 March 2007 - 10:18 AM

Một lỗi ngớ ngẩn mà CAD hay gặp

Posted Image

Bản thân Jin chẳng hiểu tại sao có lỗi này, khi loay hoay một hồi, cùng với biên Hatch đó mà lại hatch được mặc dù chẳng thay đổi ǵ đến đường biên đó cả . Đôi khi cũng cần phải joint chúng lại thành Polyline th́ mới ăn được ,
  • 0

Phát triển phần mềm thiết kế Kết cấu Việt Nam - http://www.ketcausoft.com


#16 bemove

bemove

    biết lệnh divide

  • Vip
  • PipPipPipPipPipPip
  • 446 posts
Danh tiếng: 1295 (rất tốt)

Gửi vào 15 March 2007 - 08:10 PM

1 thủ thuật nhỏ để tạo một đối tượng hatch mà không cần đường boundary
dùng lệnh -hatch (not hatch), chọn option W (draw)
Posted Image
pick các điểm ---------------------------------> kết quả
  • 22

#17 bemove

bemove

    biết lệnh divide

  • Vip
  • PipPipPipPipPipPip
  • 446 posts
Danh tiếng: 1295 (rất tốt)

Gửi vào 15 March 2007 - 10:53 PM

Khi bạn muốn lấy biên của một hatch đă bị mất biên để hiệu chỉnh nó hay cho các công việc về tính toán diện tích, làm cách nào? dễ dàng làm được với lệnh lisp h2p (hatch to polyline).

Tải h2p tại đây: http://www.cadviet.com/upfiles/h2p.lsp

Mong chờ có được sự phản hồi sau khi dùng lệnh h2p trong file h2p.lsp.
Cảm ơn.


AutoCAD 2007 có 1 new feature là recreat boundary và cad07 cũng tính toán được diện tích của hatch

Posted Image
  • 12

#18 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 3,709 posts
Danh tiếng: 4309 (đỉnh cao)

Gửi vào 16 March 2007 - 06:59 AM

Lệnh hatchedit của ACAD đời mới có thể tạo lại đường biên của Hatch.
Nhưng vẫn c̣n một điều bất tiện là mỗi lệnh chỉ tạo được đường biên của 1 đối tượng Hatch.

Xin tặng các thành viên CADViet, mă lệnh lisp để tạo được nhiều đường biên một lúc với lệnh hatch edit này.


(defun c:chb ( / ss sodt index ent)
(defun crone (ent)
(command ".hatchedit" ent "b" "p" "n")
)
(setq
ss (ssget '((0 . "HATCH")))
sodt (cond
(ss (sslength ss))
(t 0)
)
index 0
)
(repeat sodt
(setq ent (ssname ss index)
index (1+ index)
)
(crone ent)
)
)

  • 8

#19 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 3,709 posts
Danh tiếng: 4309 (đỉnh cao)

Gửi vào 09 April 2007 - 05:29 PM

Có thể Hatch được vào miền hở.
Đối với AutoCAD 2007, giải quyết trọn vẹn vấn đề trên với tính năng mới của lệnh Hatch.

Cách sử dụng:
Tại bảng lệnh Hatch, click vào phím More Options (Alt + >) để hiện ra đầy đủ bảng lệnh.
Posted Image

Tại bảng lệnh, bạn nhập vào khoảng hở lớn nhất.
Posted Image

Và sau đó sử dụng lệnh hatch như b́nh thường, mọi khoảng hở nhỏ hơn giá trị Gap sẽ bị bỏ qua (xem như liền)
Khoảng hở trước khi hatch
Posted Image

Sau khi hatch
Posted Image
  • 23

#20 Yzee@

Yzee@

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 posts
Danh tiếng: 0 (b́nh thường)

Gửi vào 11 May 2007 - 12:39 PM

co ai biet cach tao 1 file hatch ma minh tu lam ko bao minh voi. :lol:
  • 0